CREATE PROCEDURE "TES"."EXTRACTIONDATA"(IN remark NVARCHAR(80), IN cycleId INTEGER, IN stepId INTEGER, OUT res VARCHAR(2000)) 
LANGUAGE SQLSCRIPT
/** ================================================================================
根据一定的规则进行数据抽取
IN : 
remark NVARCHAR(80) 流程号	
cycleId INTEGER 业务循环号	
stepId INTEGER 工步号
OUT : 
res varchar(2000)(IF SUCCESS RETURN 0	IF ERROR RETURN ERROR_CODE&ERROR_MESSAGE) 
====================================================================================*/
-- 流程、循环以及工步号可以唯一确定一个Group的数据
AS
BEGIN
	
	DECLARE tmpres NVARCHAR(200);
	DECLARE tmpprefix NVARCHAR(500);
	DECLARE pre_handle NVARCHAR(100);
	DECLARE cnt INTEGER :=0;
	DECLARE tar_cnt INTEGER :=0;
	DECLARE tl_cnt INTEGER :=0;
	DECLARE min_seq INTEGER;
	DECLARE max_seq INTEGER;
	DECLARE min_tm TIMESTAMP;
	DECLARE tmp3 NVARCHAR(2000) :='';
	DECLARE m_user NVARCHAR(100) :='STORM_USER';
	DECLARE c_user NVARCHAR(100) :='STORM_USER';
	DECLARE CURSOR curs FOR SELECT EXTRACTION_TAG,CONDITION_KEY,CONDITION_VALUE,TARGET_PROCESS_DATA_FIELD,ALIAS 
	FROM "TES"."MD_EXTRACTION_RULE" WHERE REMARK=:remark AND STEP_ID=:stepId;
	
	DECLARE EXIT HANDLER FOR SQLEXCEPTION 
	BEGIN
		SELECT 'SQL ERROR[' || ::SQL_ERROR_CODE || ']:' || ::SQL_ERROR_MESSAGE INTO res FROM DUMMY;
	END;
	SELECT COUNT(1) INTO tl_cnt FROM M_TEMPORARY_TABLES WHERE SCHEMA_NAME ='TES' AND TABLE_NAME = 'GT_RAWDATA';
	IF :tl_cnt=0 THEN
  	CREATE GLOBAL TEMPORARY COLUMN TABLE "GT_RAWDATA" 
  	("HANDLE" NVARCHAR(255) NOT NULL ,
	 "SITE" NVARCHAR(6),
	 "REMARK" NVARCHAR(80),
	 "SFC" NVARCHAR(50),
	 "RESOURCE_ID" NVARCHAR(64),
	 "CHANNEL_ID" INTEGER CS_INT,
	 "SEQUENCE_ID" INTEGER CS_INT,
	 "CYCLE" INTEGER CS_INT,
	 "ST_BUSINESS_CYCLE" INTEGER CS_INT,
	 "STEP_ID" INTEGER CS_INT,
	 "STEP_NAME" NVARCHAR(10),
	 "TEST_TIME_DURATION" DECIMAL(20,5) CS_FIXED,
	 "TIMESTAMP" LONGDATE CS_LONGDATE DEFAULT CURRENT_TIMESTAMP,
	 "SV_IC_RANGE" DECIMAL(20,5) CS_FIXED,
	 "SV_IV_RANGE" DECIMAL(20,5) CS_FIXED,
	 "PV_VOLTAGE" DECIMAL(20,5) CS_FIXED,
	 "PV_CURRENT" DECIMAL(20,5) CS_FIXED,
	 "PV_IR" DECIMAL(20,5) CS_FIXED,
	 "PV_TEMPERATURE" DECIMAL(20,5) CS_FIXED,
	 "PV_CHARGE_CAPACITY" DECIMAL(20,5) CS_FIXED,
	 "PV_DISCHARGE_CAPACITY" DECIMAL(20,5) CS_FIXED,
	 "PV_CHARGE_ENERGY" DECIMAL(20,5) CS_FIXED,
	 "PV_DISCHARGE_ENERGY" DECIMAL(20,5) CS_FIXED,
	 "PROCESS_ID" NVARCHAR(50)
) ;
	 END IF;
	TRUNCATE TABLE "GT_RAWDATA"; 
	INSERT INTO "GT_RAWDATA" 
	SELECT A.HANDLE, A.SITE, A.REMARK, A.SFC, A.RESOURCE_ID,A.CHANNEL_ID,A.SEQUENCE_ID,A.CYCLE,A.ST_BUSINESS_CYCLE,
	A.STEP_ID,A.STEP_NAME, A.TEST_TIME_DURATION,A.TIMESTAMP,A.SV_IC_RANGE,A.SV_IV_RANGE, A.PV_VOLTAGE, A.PV_CURRENT, A.PV_IR, A.PV_TEMPERATURE,
	A.PV_CHARGE_CAPACITY, A.PV_DISCHARGE_CAPACITY, A.PV_CHARGE_ENERGY, A.PV_DISCHARGE_ENERGY,B.PROCESS_ID
 	FROM "TES"."TX_ORIGINAL_PROCESS_DATA" A, "TES"."MD_PROCESS_INFO" B
 	WHERE A.REMARK=:remark AND A.ST_BUSINESS_CYCLE=:cycleId AND A.STEP_ID=:stepId AND A.REMARK=B.REMARK;
	
	SELECT COUNT(1) INTO cnt FROM "GT_RAWDATA";
	
	IF (:cnt <> 0) THEN
		SELECT 'TxResultProcessDataBO:' || SITE ||','|| REMARK||',' || SFC|| ',' || ST_BUSINESS_CYCLE ||','|| STEP_ID||',' INTO pre_handle 
		FROM "GT_RAWDATA" LIMIT 1;
		SELECT MIN(SEQUENCE_ID) INTO min_seq FROM "GT_RAWDATA" ;
		SELECT MAX(SEQUENCE_ID) INTO max_seq FROM "GT_RAWDATA" ;
		SELECT TIMESTAMP INTO min_tm FROM "GT_RAWDATA" WHERE SEQUENCE_ID = min_seq;
		FOR c AS curs
		DO
			-- JUDGE RULES 90% OR 10% 
			 
			IF c.CONDITION_KEY = 'STEP_TIME' THEN
				SELECT COUNT(1) INTO tar_cnt FROM TABLE_COLUMNS 
				WHERE SCHEMA_NAME='TES' AND TABLE_NAME='TX_ORIGINAL_PROCESS_DATA' AND COLUMN_NAME=c.TARGET_PROCESS_DATA_FIELD;
				IF :tar_cnt=0 THEN
					CONTINUE;
				END IF;
				IF RIGHT(c.EXTRACTION_TAG,13) = 'RELATIVE_TIME' THEN
				
				tmp3 := 'SELECT '''|| :pre_handle || c.EXTRACTION_TAG || ''',B.REMARK, B.SFC,''' || 
				c.EXTRACTION_TAG ||''',CONCAT(CONCAT(CONCAT(CONCAT(cast(to_int(seconds_between('''||:min_tm||''',B.'|| c.TARGET_PROCESS_DATA_FIELD || ')/3600) as char(2)),'':''),' || 
				'right(CONCAT(''0'',cast(to_int(mod(seconds_between('''||:min_tm||''',B.'|| c.TARGET_PROCESS_DATA_FIELD || '),3600)/60) as char(2))),2)),'':''),'||
				'right(CONCAT(''0'',cast(mod(mod(seconds_between('''||:min_tm||''',B.'|| c.TARGET_PROCESS_DATA_FIELD || '),3600),60) as char(2))),2))'||
				', B.ST_BUSINESS_CYCLE, B.STEP_ID, '''|| :c_user ||''','''||:m_user||''',B.SITE,'''||c.ALIAS||''',B.PROCESS_ID FROM ' || 
				-- '(SELECT * FROM "TES"."TX_ORIGINAL_PROCESS_DATA" WHERE REMARK='''||:remark||''' AND ST_BUSINESS_CYCLE='||:cycleId||' AND STEP_ID='||:stepId||') A,' ||
				-- '(SELECT * FROM "TES"."TX_ORIGINAL_PROCESS_DATA" WHERE REMARK='''||:remark||''' AND ST_BUSINESS_CYCLE='||:cycleId||' AND STEP_ID='||:stepId||') B ' ||
				'"GT_RAWDATA" A, "GT_RAWDATA" B ' ||
				'WHERE A.SEQUENCE_ID  = ' || :min_seq || ' AND SECONDS_BETWEEN(A.TIMESTAMP,B.TIMESTAMP)=' || c.CONDITION_VALUE;
				
				EXEC 'INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS,PROCESS_ID) ' || :tmp3;
				ELSE 
				tmp3 := 'SELECT '''|| :pre_handle || c.EXTRACTION_TAG || ''',B.REMARK, B.SFC,''' || 
				c.EXTRACTION_TAG ||''',B.'|| c.TARGET_PROCESS_DATA_FIELD || ', B.ST_BUSINESS_CYCLE, B.STEP_ID, '''|| :c_user ||''','''||:m_user||''',B.SITE,'''||c.ALIAS||''',B.PROCESS_ID FROM ' || 
				-- '(SELECT * FROM "TES"."TX_ORIGINAL_PROCESS_DATA" WHERE REMARK='''||:remark||''' AND ST_BUSINESS_CYCLE='||:cycleId||' AND STEP_ID='||:stepId||') A,' ||
				-- '(SELECT * FROM "TES"."TX_ORIGINAL_PROCESS_DATA" WHERE REMARK='''||:remark||''' AND ST_BUSINESS_CYCLE='||:cycleId||' AND STEP_ID='||:stepId||') B ' ||
				'"GT_RAWDATA" A, "GT_RAWDATA" B ' ||
				'WHERE A.SEQUENCE_ID  = ' || :min_seq || ' AND SECONDS_BETWEEN(A.TIMESTAMP,B.TIMESTAMP)=' || c.CONDITION_VALUE;
				EXEC 'INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS,PROCESS_ID) ' || :tmp3;
				END IF;
				CONTINUE;
			ELSE
				/**=======================================工步起始_First==========================================**/
				-- 工步第一条电流
				IF c.EXTRACTION_TAG = 'FIRST_CURR' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_CURRENT, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user, SITE,c.ALIAS , PROCESS_ID
					FROM "GT_RAWDATA" WHERE SEQUENCE_ID = :min_seq;
					CONTINUE;
				END IF;
				-- 工步第一条电压
				IF c.EXTRACTION_TAG = 'FIRST_VOLT' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_VOLTAGE, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user ,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA" WHERE SEQUENCE_ID = :min_seq;
					CONTINUE;
				END IF;
				-- 工步第一条温度
				IF c.EXTRACTION_TAG = 'FIRST_TEMPERATURE' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_TEMPERATURE, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user ,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA" WHERE SEQUENCE_ID = :min_seq;
					CONTINUE;
				END IF;
				-- 工步第一条容量
				IF c.EXTRACTION_TAG = 'FIRST_CHARGE_CAPACITY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_CHARGE_CAPACITY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID 
					FROM "GT_RAWDATA" WHERE SEQUENCE_ID = :min_seq;
					CONTINUE;
				END IF;
				IF c.EXTRACTION_TAG = 'FIRST_DISCHARGE_CAPACITY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_DISCHARGE_CAPACITY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS , PROCESS_ID
					FROM "GT_RAWDATA" WHERE SEQUENCE_ID = :min_seq;
					CONTINUE;
				END IF;
				-- 工步第一条能量
				IF c.EXTRACTION_TAG = 'FIRST_CHARGE_ENERGY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_CHARGE_ENERGY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS , PROCESS_ID
					FROM "GT_RAWDATA" WHERE SEQUENCE_ID = :min_seq;
					CONTINUE;
				END IF;
				IF c.EXTRACTION_TAG = 'FIRST_DISCHARGE_ENERGY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_DISCHARGE_ENERGY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS , PROCESS_ID
					FROM "GT_RAWDATA" WHERE SEQUENCE_ID = :min_seq;
					CONTINUE;
				END IF;
				-- 工步第一条相对时间
				IF c.EXTRACTION_TAG = 'FIRST_RELATIVE_TIME' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG,  
					cast(to_int(seconds_between(min_tm,TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,TIMESTAMP),3600),60) as char(2)),2) 
					, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA" WHERE SEQUENCE_ID = :min_seq;
					CONTINUE;
				END IF;
				-- 工步第一条绝对时间
				IF c.EXTRACTION_TAG = 'FIRST_ABS_TIME' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, TIMESTAMP, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS , PROCESS_ID
					FROM "GT_RAWDATA" WHERE SEQUENCE_ID = :min_seq;
					CONTINUE;
				END IF;
				
 				/**=======================================工步-Last==========================================**/
 				
 				-- 工步最后一条电流
				IF c.EXTRACTION_TAG = 'LAST_CURR' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_CURRENT, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS , PROCESS_ID
					FROM "GT_RAWDATA" WHERE SEQUENCE_ID = :max_seq;
					CONTINUE;
				END IF;
				-- 工步最后一条电压
				IF c.EXTRACTION_TAG = 'LAST_VOLT' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_VOLTAGE, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS , PROCESS_ID
					FROM "GT_RAWDATA" WHERE SEQUENCE_ID = :max_seq;
					CONTINUE;
				END IF;
				-- 工步最后一条温度
				IF c.EXTRACTION_TAG = 'LAST_TEMPERATURE' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_TEMPERATURE, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS , PROCESS_ID
					FROM "GT_RAWDATA" WHERE SEQUENCE_ID = :max_seq;
					CONTINUE;
				END IF;
				-- 工步最后一条容量
				IF c.EXTRACTION_TAG = 'LAST_CHARGE_CAPACITY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_CHARGE_CAPACITY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID 
					FROM "GT_RAWDATA" WHERE SEQUENCE_ID = :max_seq;
					CONTINUE;
				END IF;
				IF c.EXTRACTION_TAG = 'LAST_DISCHARGE_CAPACITY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_DISCHARGE_CAPACITY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS , PROCESS_ID
					FROM "GT_RAWDATA" WHERE SEQUENCE_ID = :max_seq;
					CONTINUE;
				END IF;
				-- 工步最后一条能量
				IF c.EXTRACTION_TAG = 'LAST_CHARGE_ENERGY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_CHARGE_ENERGY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS , PROCESS_ID
					FROM "GT_RAWDATA" WHERE SEQUENCE_ID = :max_seq;
					CONTINUE;
				END IF;
				IF c.EXTRACTION_TAG = 'LAST_DISCHARGE_ENERGY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_DISCHARGE_ENERGY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS , PROCESS_ID
					FROM "GT_RAWDATA" WHERE SEQUENCE_ID = :max_seq;
					CONTINUE;
				END IF;
				-- 工步最后一条相对时间
				IF c.EXTRACTION_TAG = 'LAST_RELATIVE_TIME' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG,  
					cast(to_int(seconds_between(min_tm,TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,TIMESTAMP),3600),60) as char(2)),2) 
					, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA" WHERE SEQUENCE_ID = :max_seq;
					CONTINUE;
				END IF;
				-- 工步最后一条绝对时间
 				IF c.EXTRACTION_TAG = 'LAST_ABS_TIME' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, TIMESTAMP, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS , PROCESS_ID
					FROM "GT_RAWDATA" WHERE SEQUENCE_ID = :max_seq;
					CONTINUE;
				END IF;
				/**=======================================工步最大值==========================================**/
				
				-- 工步最大电压值

				IF c.EXTRACTION_TAG = 'MAX_VOLT' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, MAX(PV_VOLTAGE), ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					GROUP BY SITE, REMARK, SFC, ST_BUSINESS_CYCLE, STEP_ID, PROCESS_ID
					LIMIT 1;
					CONTINUE;
				END IF;
				-- 工步最大电流值
				IF c.EXTRACTION_TAG = 'MAX_CURR' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, MAX(PV_CURRENT), ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					GROUP BY SITE, REMARK, SFC, ST_BUSINESS_CYCLE, STEP_ID, PROCESS_ID
					LIMIT 1;
					CONTINUE;
				END IF;
				-- 工步最大温度
				IF c.EXTRACTION_TAG = 'MAX_TEMPERATURE' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, MAX(PV_TEMPERATURE), ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					GROUP BY SITE, REMARK, SFC, ST_BUSINESS_CYCLE, STEP_ID, PROCESS_ID
					LIMIT 1;
					CONTINUE;
				END IF;

				/**=======================================工步最小值==========================================**/
				
				-- 工步最小电压值
				IF c.EXTRACTION_TAG = 'MIN_VOLT' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, MIN(PV_VOLTAGE), ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					GROUP BY SITE, REMARK, SFC, ST_BUSINESS_CYCLE, STEP_ID, PROCESS_ID
					LIMIT 1;
					CONTINUE;
				END IF;
				-- 工步最小温度
				IF c.EXTRACTION_TAG = 'MIN_TEMPERATURE' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, MIN(PV_TEMPERATURE), ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					GROUP BY SITE, REMARK, SFC, ST_BUSINESS_CYCLE, STEP_ID, PROCESS_ID
					LIMIT 1;
					CONTINUE;
				END IF;
				/**=======================================工步相邻电压差最大两点电压值及对应值==========================================**/
				
				-- 相邻电压差最大两点的电压值 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_VOLT_1_VOLT' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_VOLTAGE, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				
				-- 相邻电压差最大两点的电压值 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_VOLT_2_VOLT' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_VOLTAGE, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS, B.PROCESS_ID 
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电压差最大两点的温度 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_VOLT_1_TEMPERATURE' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_TEMPERATURE, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				
				-- 相邻电压差最大两点的温度 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_VOLT_2_TEMPERATURE' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_TEMPERATURE, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS, B.PROCESS_ID 
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电压差最大两点的容量 两条数据中的第一条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_VOLT_1_CHARGE_CAPACITY' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_CHARGE_CAPACITY, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				IF c.EXTRACTION_TAG = 'MAX_DIFF_VOLT_1_DISCHARGE_CAPACITY' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_DISCHARGE_CAPACITY, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻电压差最大两点的容量 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_VOLT_2_CHARGE_CAPACITY' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_CHARGE_CAPACITY, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS, B.PROCESS_ID 
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				IF c.EXTRACTION_TAG = 'MAX_DIFF_VOLT_2_DISCHARGE_CAPACITY' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_DISCHARGE_CAPACITY, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS , B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电压差最大两点的能量 两条数据中的第一条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_VOLT_1_CHARGE_ENERGY' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_CHARGE_ENERGY, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				IF c.EXTRACTION_TAG = 'MAX_DIFF_VOLT_1_DISCHARGE_ENERGY' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_DISCHARGE_ENERGY, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻电压差最大两点的能量 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_VOLT_2_CHARGE_ENERGY' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_CHARGE_ENERGY, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS, B.PROCESS_ID 
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				IF c.EXTRACTION_TAG = 'MAX_DIFF_VOLT_2_DISCHARGE_ENERGY' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_DISCHARGE_ENERGY, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS, B.PROCESS_ID 
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电压差最大两点的绝对时间 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_VOLT_1_ABS_TIME' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.TIMESTAMP, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻电压差最大两点的绝对时间 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_VOLT_2_ABS_TIME' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.TIMESTAMP, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS, B.PROCESS_ID 
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电压差最大两点的相对时间 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_VOLT_1_RELATIVE_TIME' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, 
					cast(to_int(seconds_between(min_tm,A.TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,A.TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,A.TIMESTAMP),3600),60) as char(2)),2) 
					, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻电压差最大两点的相对时间 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_VOLT_2_RELATIVE_TIME' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, 
					cast(to_int(seconds_between(min_tm,B.TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,B.TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,B.TIMESTAMP),3600),60) as char(2)),2) 
					, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS , B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电压差最大两点的电压值差值
				IF c.EXTRACTION_TAG = 'MAX_DIFF_VOLT_DIFF' THEN

					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, MAX(ABS(A.PV_VOLTAGE - B.PV_VOLTAGE)), A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					GROUP BY A.SITE, A.REMARK, A.SFC,A.ST_BUSINESS_CYCLE, A.STEP_ID, A.PROCESS_ID
					LIMIT 1;
					CONTINUE;
				END IF;
				/**=======================================工步相邻温度差最小两点温度值及对应值==========================================**/
				
				-- 相邻温度差最大两点的温度 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_TEMPERATURE_1_TEMPERATURE' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_TEMPERATURE, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_TEMPERATURE - B.PV_TEMPERATURE) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				
				-- 相邻温度差最大两点的温度 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_TEMPERATURE_2_TEMPERATURE' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_TEMPERATURE, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_TEMPERATURE - B.PV_TEMPERATURE) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻温度差最大两点的绝对时间 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_TEMPERATURE_1_ABS_TIME' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.TIMESTAMP, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_TEMPERATURE - B.PV_TEMPERATURE) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻温度差最大两点的绝对时间 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_TEMPERATURE_2_ABS_TIME' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.TIMESTAMP, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS, B.PROCESS_ID 
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_TEMPERATURE - B.PV_TEMPERATURE) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻温度差最大两点的相对时间 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_TEMPERATURE_1_RELATIVE_TIME' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, 
					cast(to_int(seconds_between(min_tm,A.TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,A.TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,A.TIMESTAMP),3600),60) as char(2)),2) 
					, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_TEMPERATURE - B.PV_TEMPERATURE) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻温度差最大两点的相对时间 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_TEMPERATURE_2_RELATIVE_TIME' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, 
					cast(to_int(seconds_between(min_tm,B.TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,B.TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,B.TIMESTAMP),3600),60) as char(2)),2) 
					, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS , B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_TEMPERATURE - B.PV_TEMPERATURE) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻温度差最大两点的温度差值
				IF c.EXTRACTION_TAG = 'MAX_DIFF_TEMPERATURE_DIFF' THEN

					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, MAX(ABS(A.PV_TEMPERATURE - B.PV_TEMPERATURE)), A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					GROUP BY A.SITE, A.REMARK, A.SFC,A.ST_BUSINESS_CYCLE, A.STEP_ID, A.PROCESS_ID
					LIMIT 1;
					CONTINUE;
				END IF;
				/**=======================================工步相邻电流差最大两点电流值及对应值==========================================**/
					
				-- 相邻电流差最大两点的电流值 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_1_CURR' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_CURRENT, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				
				-- 相邻电流差最大两点的电流值 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_2_CURR' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_CURRENT, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS , B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电流差最大两点的电压值 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_1_VOLT' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_VOLTAGE, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				
				-- 相邻电流差最大两点的电压值 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_2_VOLT' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_VOLTAGE, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS , B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电流差最大两点的温度 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_1_TEMPERATURE' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_TEMPERATURE, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				
				-- 相邻电流差最大两点的温度 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_2_TEMPERATURE' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_TEMPERATURE, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS , B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电流差最大两点的容量 两条数据中的第一条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_1_CHARGE_CAPACITY' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_CHARGE_CAPACITY, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_1_DISCHARGE_CAPACITY' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_DISCHARGE_CAPACITY, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻电流差最大两点的容量 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_2_CHARGE_CAPACITY' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_CHARGE_CAPACITY, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS , B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_2_DISCHARGE_CAPACITY' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_DISCHARGE_CAPACITY, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS , B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电流差最大两点的能量 两条数据中的第一条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_1_CHARGE_ENERGY' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_CHARGE_ENERGY, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_1_DISCHARGE_ENERGY' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_DISCHARGE_ENERGY, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻电流差最大两点的能量 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_2_CHARGE_ENERGY' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_CHARGE_ENERGY, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user ,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_2_DISCHARGE_ENERGY' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_DISCHARGE_ENERGY, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user ,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电流差最大两点的绝对时间 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_1_ABS_TIME' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.TIMESTAMP, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻电流差最大两点的绝对时间 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_2_ABS_TIME' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.TIMESTAMP, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user ,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电流差最大两点的相对时间 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_1_RELATIVE_TIME' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, 
					cast(to_int(seconds_between(min_tm,A.TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,A.TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,A.TIMESTAMP),3600),60) as char(2)),2) 
					, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) DESC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻电流差最大两点的相对时间 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_2_RELATIVE_TIME' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, 
					cast(to_int(seconds_between(min_tm,B.TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,B.TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,B.TIMESTAMP),3600),60) as char(2)),2) 
					, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user ,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) DESC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电流差最大两点的电流值差值
				IF c.EXTRACTION_TAG = 'MAX_DIFF_CURR_DIFF' THEN

					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, MAX(ABS(A.PV_CURRENT - B.PV_CURRENT)), A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					GROUP BY A.SITE, A.REMARK, A.SFC,A.ST_BUSINESS_CYCLE, A.STEP_ID, A.PROCESS_ID
					LIMIT 1;
					CONTINUE;
				END IF;
				/**=======================================工步相邻电流差最小两点电流值及对应值==========================================**/
				
				-- 相邻电流差最小两点的电流值 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_1_CURR' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_CURRENT, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) ASC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				
				-- 相邻电流差最小两点的电流值 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_2_CURR' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_CURRENT, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS , B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) ASC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电流差最小两点的电压值 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_1_VOLT' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_VOLTAGE, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) ASC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				
				-- 相邻电流差最小两点的电压值 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_2_VOLT' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_VOLTAGE, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS , B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) ASC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电流差最小两点的温度 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_1_TEMPERATURE' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_TEMPERATURE, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) ASC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				
				-- 相邻电流差最小两点的温度 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_2_TEMPERATURE' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_TEMPERATURE, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user,B.SITE,c.ALIAS, B.PROCESS_ID 
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) ASC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电流差最小两点的容量 两条数据中的第一条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_1_CHARGE_CAPACITY' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_CHARGE_CAPACITY, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) ASC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_1_DISCHARGE_CAPACITY' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_DISCHARGE_CAPACITY, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) ASC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻电流差最小两点的容量 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_2_CHARGE_CAPACITY' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_CHARGE_CAPACITY, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user ,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) ASC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_2_DISCHARGE_CAPACITY' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_DISCHARGE_CAPACITY, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user ,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) ASC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电流差最小两点的能量 两条数据中的第一条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_1_CHARGE_ENERGY' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_CHARGE_ENERGY, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) ASC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_1_DISCHARGE_ENERGY' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_DISCHARGE_ENERGY, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) ASC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻电流差最小两点的能量 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_2_CHARGE_ENERGY' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_CHARGE_ENERGY, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user ,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) ASC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_2_DISCHARGE_ENERGY' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_DISCHARGE_ENERGY, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user ,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) ASC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电流差最小两点的绝对时间 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_1_ABS_TIME' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.TIMESTAMP, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) ASC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻电流差最小两点的绝对时间 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_2_ABS_TIME' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.TIMESTAMP, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user ,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) ASC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电流差最小两点的相对时间 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_1_RELATIVE_TIME' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, 
					cast(to_int(seconds_between(min_tm,A.TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,A.TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,A.TIMESTAMP),3600),60) as char(2)),2) 
					, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) ASC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻电流差最小两点的相对时间 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_2_RELATIVE_TIME' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, 
					cast(to_int(seconds_between(min_tm,B.TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,B.TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,B.TIMESTAMP),3600),60) as char(2)),2) 
					, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user ,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_CURRENT - B.PV_CURRENT) ASC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电流差最小两点的电流值差值
				IF c.EXTRACTION_TAG = 'MIN_DIFF_CURR_DIFF' THEN

					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, MIN(ABS(A.PV_CURRENT - B.PV_CURRENT)), A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					GROUP BY A.SITE, A.REMARK, A.SFC,A.ST_BUSINESS_CYCLE, A.STEP_ID, A.PROCESS_ID
					LIMIT 1;
					CONTINUE;
				END IF;
				/**=======================================工步相邻电压差最小两点电压值及对应时间==========================================**/
				-- 相邻电压差最小两点的电压值 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_VOLT_1_VOLT' THEN 

					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_VOLTAGE, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user ,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) ASC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻电压差最小两点的电压值 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_VOLT_2_VOLT' THEN

					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_VOLTAGE, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user ,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) ASC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电压差最小两点的温度 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_VOLT_1_TEMPERATURE' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_TEMPERATURE, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) ASC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				
				-- 相邻电压差最小两点的温度 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_VOLT_2_TEMPERATURE' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_TEMPERATURE, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user ,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) ASC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电压差最小两点的容量 两条数据中的第一条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_VOLT_1_CHARGE_CAPACITY' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_CHARGE_CAPACITY, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) ASC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				IF c.EXTRACTION_TAG = 'MIN_DIFF_VOLT_1_DISCHARGE_CAPACITY' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_DISCHARGE_CAPACITY, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) ASC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻电压差最小两点的容量 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_VOLT_2_CHARGE_CAPACITY' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_CHARGE_CAPACITY, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user ,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) ASC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				IF c.EXTRACTION_TAG = 'MIN_DIFF_VOLT_2_DISCHARGE_CAPACITY' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_DISCHARGE_CAPACITY, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user ,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) ASC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电压差最小两点的能量 两条数据中的第一条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_VOLT_1_CHARGE_ENERGY' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_CHARGE_ENERGY, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) ASC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				IF c.EXTRACTION_TAG = 'MIN_DIFF_VOLT_1_DISCHARGE_ENERGY' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_DISCHARGE_ENERGY, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) ASC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻电压差最小两点的能量 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_VOLT_2_CHARGE_ENERGY' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_CHARGE_ENERGY, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user ,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) ASC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				IF c.EXTRACTION_TAG = 'MIN_DIFF_VOLT_2_DISCHARGE_ENERGY' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.PV_DISCHARGE_ENERGY, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user ,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) ASC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电压差最小两点的绝对时间 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_VOLT_1_ABS_TIME' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.TIMESTAMP, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) ASC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻电压差最小两点的绝对时间 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_VOLT_2_ABS_TIME' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG, B.TIMESTAMP, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user ,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) ASC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电压差最小两点的相对时间 两条数据中的第一条数据即低序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_VOLT_1_RELATIVE_TIME' THEN 
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG,
					cast(to_int(seconds_between(min_tm,A.TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,A.TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,A.TIMESTAMP),3600),60) as char(2)),2) 
					, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) ASC, A.SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 相邻电压差最小两点的相对时间 两条数据中的第二条数据即高序列号数据
				IF c.EXTRACTION_TAG = 'MIN_DIFF_VOLT_2_RELATIVE_TIME' THEN
					
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, B.REMARK, B.SFC, c.EXTRACTION_TAG,
					cast(to_int(seconds_between(min_tm,B.TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,B.TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,B.TIMESTAMP),3600),60) as char(2)),2) 
					, B.ST_BUSINESS_CYCLE, B.STEP_ID, :c_user, :m_user ,B.SITE,c.ALIAS, B.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					ORDER BY ABS(A.PV_VOLTAGE - B.PV_VOLTAGE) ASC, A.SEQUENCE_ID ASC LIMIT 1;	
					CONTINUE;	
				END IF;
				-- 相邻电压差最小两点的电压值差值
				IF c.EXTRACTION_TAG = 'MIN_DIFF_VOLT_DIFF' THEN

					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, MIN(ABS(A.PV_VOLTAGE - B.PV_VOLTAGE)), A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
					FROM "GT_RAWDATA" A, "GT_RAWDATA" B 
					WHERE A.SEQUENCE_ID + 1 = B.SEQUENCE_ID
					GROUP BY A.SITE, A.REMARK, A.SFC,A.ST_BUSINESS_CYCLE, A.STEP_ID, A.PROCESS_ID
					LIMIT 1;
					CONTINUE;
				END IF;
				/**=======================================最大电压值对应值==========================================**/
				-- 工步最大电压值对应的容量
				IF c.EXTRACTION_TAG = 'MAX_VOLT_CHARGE_CAPACITY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_CHARGE_CAPACITY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_VOLTAGE DESC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				IF c.EXTRACTION_TAG = 'MAX_VOLT_DISCHARGE_CAPACITY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_DISCHARGE_CAPACITY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_VOLTAGE DESC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 工步最大电压值对应的能量
				IF c.EXTRACTION_TAG = 'MAX_VOLT_CHARGE_ENERGY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_CHARGE_ENERGY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_VOLTAGE DESC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				IF c.EXTRACTION_TAG = 'MAX_VOLT_DISCHARGE_ENERGY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_DISCHARGE_ENERGY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_VOLTAGE DESC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 工步最大电压值对应的温度
				IF c.EXTRACTION_TAG = 'MAX_VOLT_TEMPERATURE' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_TEMPERATURE, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_VOLTAGE DESC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 工步最大电压值对应的相对时间
				IF c.EXTRACTION_TAG = 'MAX_VOLT_RELATIVE_TIME' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, 
					cast(to_int(seconds_between(min_tm,TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,TIMESTAMP),3600),60) as char(2)),2) 
					, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_VOLTAGE DESC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 工步最大电压值对应的绝对时间
				IF c.EXTRACTION_TAG = 'MAX_VOLT_ABS_TIME' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, TIMESTAMP, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_VOLTAGE DESC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				/**=======================================最小电压值对应值==========================================**/
				-- 工步最小电压值对应的容量
				IF c.EXTRACTION_TAG = 'MIN_VOLT_CHARGE_CAPACITY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_CHARGE_CAPACITY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_VOLTAGE ASC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				IF c.EXTRACTION_TAG = 'MIN_VOLT_DISCHARGE_CAPACITY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_DISCHARGE_CAPACITY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_VOLTAGE ASC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 工步最小电压值对应的能量
				IF c.EXTRACTION_TAG = 'MIN_VOLT_CHARGE_ENERGY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_CHARGE_ENERGY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_VOLTAGE ASC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				IF c.EXTRACTION_TAG = 'MIN_VOLT_DISCHARGE_ENERGY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_DISCHARGE_ENERGY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_VOLTAGE ASC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 工步最小电压值对应的温度
				IF c.EXTRACTION_TAG = 'MIN_VOLT_TEMPERATURE' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_TEMPERATURE, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_VOLTAGE ASC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 工步最小电压值对应的相对时间
				IF c.EXTRACTION_TAG = 'MIN_VOLT_RELATIVE_TIME' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, 
					cast(to_int(seconds_between(min_tm,TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,TIMESTAMP),3600),60) as char(2)),2) 
					, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_VOLTAGE ASC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 工步最小电压值对应的绝对时间
				IF c.EXTRACTION_TAG = 'MIN_VOLT_ABS_TIME' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, TIMESTAMP, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_VOLTAGE ASC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				/**=======================================最大电流对应值==========================================**/
				-- 最大电流对应的容量
				IF c.EXTRACTION_TAG = 'MAX_CURR_CHARGE_CAPACITY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_CHARGE_CAPACITY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_CURRENT DESC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				IF c.EXTRACTION_TAG = 'MAX_CURR_DISCHARGE_CAPACITY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_DISCHARGE_CAPACITY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_CURRENT DESC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 最大电流对应的能量
				IF c.EXTRACTION_TAG = 'MAX_CURR_CHARGE_ENERGY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_CHARGE_ENERGY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_CURRENT DESC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				IF c.EXTRACTION_TAG = 'MAX_CURR_DISCHARGE_ENERGY' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_DISCHARGE_ENERGY, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_CURRENT DESC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 最大电流对应的温度
				IF c.EXTRACTION_TAG = 'MAX_CURR_TEMPERATURE' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_TEMPERATURE, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_CURRENT DESC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 最大电流对应的相对时间
				IF c.EXTRACTION_TAG = 'MAX_CURR_RELATIVE_TIME' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, 
					cast(to_int(seconds_between(min_tm,TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,TIMESTAMP),3600),60) as char(2)),2) 
					, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_CURRENT DESC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 最大电流对应的绝对时间
				IF c.EXTRACTION_TAG = 'MAX_CURR_ABS_TIME' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, TIMESTAMP, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_CURRENT DESC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				/**=======================================最高温度值对应的时间==========================================**/
				-- 工步最高温度对应的相对时间
				IF c.EXTRACTION_TAG = 'MAX_TEMPERATURE_RELATIVE_TIME' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, 
					cast(to_int(seconds_between(min_tm,TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,TIMESTAMP),3600),60) as char(2)),2) 
					, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_TEMPERATURE DESC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 工步最高温度对应的绝对时间
				IF c.EXTRACTION_TAG = 'MAX_TEMPERATURE_ABS_TIME' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, TIMESTAMP, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_TEMPERATURE DESC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				/**=======================================最低温度值对应的时间==========================================**/
				-- 工步最低温度对应的相对时间
				IF c.EXTRACTION_TAG = 'MIN_TEMPERATURE_RELATIVE_TIME' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, 
					cast(to_int(seconds_between(min_tm,TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,TIMESTAMP),3600),60) as char(2)),2) 
					, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_TEMPERATURE ASC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				-- 工步最低温度对应的绝对时间
				IF c.EXTRACTION_TAG = 'MIN_TEMPERATURE_ABS_TIME' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, TIMESTAMP, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					ORDER BY PV_TEMPERATURE ASC, SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				/**=======================================中间点数据对应值==========================================**/
				-- 中间点数据 偶数取第一点数据 中间点电压值
				IF c.EXTRACTION_TAG = 'MID_VOLT' THEN
					IF MOD(:cnt, 2) = 0 THEN
						
						INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
						SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_VOLTAGE, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
						FROM "GT_RAWDATA" A
						WHERE SEQUENCE_ID = :min_seq+TO_INT((:cnt-1)/2); 
					ELSE
						
						INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
						SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_VOLTAGE, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
						FROM "GT_RAWDATA" A
						WHERE SEQUENCE_ID = :min_seq+TO_INT(:cnt/2);
					END IF;
					CONTINUE;
				END IF;
				-- 中间点数据 偶数取第一点数据 中间点电流值
				IF c.EXTRACTION_TAG = 'MID_CURR' THEN
					IF MOD(:cnt, 2) = 0 THEN
						
						INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
						SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_CURRENT, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
						FROM "GT_RAWDATA" A
						WHERE SEQUENCE_ID = :min_seq+TO_INT((:cnt-1)/2); 
					ELSE
						
						INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
						SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.PV_CURRENT, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
						FROM "GT_RAWDATA" A
						WHERE SEQUENCE_ID = :min_seq+TO_INT(:cnt/2);
					END IF;
					CONTINUE;
				END IF;
				-- 中间点数据 偶数取第一点数据 中间点绝对时间
				IF c.EXTRACTION_TAG = 'MID_ABS_TIME' THEN
					IF MOD(:cnt, 2) = 0 THEN
						
						INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
						SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.TIMESTAMP, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
						FROM "GT_RAWDATA" A
						WHERE SEQUENCE_ID = :min_seq+TO_INT((:cnt-1)/2); 
					ELSE
						
						INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
						SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, A.TIMESTAMP, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
						FROM "GT_RAWDATA" A
						WHERE SEQUENCE_ID = :min_seq+TO_INT(:cnt/2);
					END IF;
					CONTINUE;
				END IF;
				-- 中间点数据 偶数取第一点数据 中间点相对时间
				IF c.EXTRACTION_TAG = 'MID_RELATIVE_TIME' THEN
					IF MOD(:cnt, 2) = 0 THEN
						
						INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
						SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, 
						cast(to_int(seconds_between(min_tm,TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,TIMESTAMP),3600),60) as char(2)),2) 
					, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
						FROM "GT_RAWDATA" A
						WHERE SEQUENCE_ID = :min_seq+TO_INT((:cnt-1)/2); 
					ELSE
						
						INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
						SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG, 
						cast(to_int(seconds_between(min_tm,TIMESTAMP)/3600) as char(2)) 
						|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,TIMESTAMP),3600)/60) as char(2)),2) 
						|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,TIMESTAMP),3600),60) as char(2)),2) 
						, A.ST_BUSINESS_CYCLE, A.STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, A.PROCESS_ID
						FROM "GT_RAWDATA" A
						WHERE SEQUENCE_ID = :min_seq+TO_INT(:cnt/2);
					END IF;
					CONTINUE;
				END IF;
				/**=======================================工步频率最大==========================================**/
				 
				-- 工步频率最大电流值

				IF c.EXTRACTION_TAG = 'MAX_FRE_CURR' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_CURRENT, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA" GROUP BY REMARK, SFC, PV_CURRENT, ST_BUSINESS_CYCLE, STEP_ID,SITE, PROCESS_ID ORDER BY COUNT(1) DESC LIMIT 1;
					CONTINUE;
				END IF;

				-- 工步频率最大电流值对应的相对时间
				 
				IF c.EXTRACTION_TAG = 'MAX_FRE_CURR_RELATIVE_TIME' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, A.REMARK, A.SFC, c.EXTRACTION_TAG,
					cast(to_int(seconds_between(min_tm,TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,TIMESTAMP),3600),60) as char(2)),2) 
					, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,A.SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA" A, (SELECT PV_CURRENT FROM "GT_RAWDATA" GROUP BY REMARK, SFC, PV_CURRENT, ST_BUSINESS_CYCLE, STEP_ID,SITE ORDER BY COUNT(1) DESC LIMIT 1) B
					WHERE A.PV_CURRENT = B.PV_CURRENT
					ORDER BY SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				
				-- 工步频率最大电流值对应的绝对时间
				IF c.EXTRACTION_TAG = 'MAX_FRE_CURR_ABS_TIME' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, TIMESTAMP, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA" A, (SELECT PV_CURRENT FROM "GT_RAWDATA" GROUP BY REMARK, SFC, PV_CURRENT, ST_BUSINESS_CYCLE, STEP_ID,SITE ORDER BY COUNT(1) DESC LIMIT 1) B
					WHERE A.PV_CURRENT = B.PV_CURRENT
					ORDER BY SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;

				-- 工步频率最大电压值
				IF c.EXTRACTION_TAG = 'MAX_FRE_VOLT' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, PV_VOLTAGE, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA"
					GROUP BY REMARK, SFC, PV_VOLTAGE, ST_BUSINESS_CYCLE, STEP_ID,SITE, PROCESS_ID
					ORDER BY COUNT(1) DESC LIMIT 1;
					CONTINUE;
				END IF;

				-- 工步频率最大电压值对应的相对时间

				IF c.EXTRACTION_TAG = 'MAX_FRE_VOLT_RELATIVE_TIME' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG,
					cast(to_int(seconds_between(min_tm,TIMESTAMP)/3600) as char(2)) 
					|| ':' || right('0' || cast(to_int(mod(seconds_between(min_tm,TIMESTAMP),3600)/60) as char(2)),2) 
					|| ':' || right('0'||cast(mod(mod(seconds_between(min_tm,TIMESTAMP),3600),60) as char(2)),2) 
					, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA" A, (SELECT PV_VOLTAGE FROM "GT_RAWDATA" GROUP BY REMARK, SFC, PV_VOLTAGE, ST_BUSINESS_CYCLE, STEP_ID,SITE ORDER BY COUNT(1) DESC LIMIT 1) B
					WHERE A.PV_VOLTAGE = B.PV_VOLTAGE
					ORDER BY SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;
				
				-- 工步频率最大电压值对应的绝对时间
				IF c.EXTRACTION_TAG = 'MAX_FRE_VOLT_ABS_TIME' THEN
					INSERT INTO "TES"."TX_RESULT_PROCESS_DATA" (HANDLE, REMARK, SFC, RESULT_KEY, RESULT_VALUE, ST_BUSINESS_CYCLE, STEP_ID, CREATED_USER, MODIFIED_USER, SITE, ALIAS, PROCESS_ID)
					SELECT :pre_handle ||c.EXTRACTION_TAG, REMARK, SFC, c.EXTRACTION_TAG, TIMESTAMP, ST_BUSINESS_CYCLE, STEP_ID, :c_user, :m_user,SITE,c.ALIAS, PROCESS_ID
					FROM "GT_RAWDATA" A, (SELECT PV_VOLTAGE FROM "GT_RAWDATA" GROUP BY REMARK, SFC, PV_VOLTAGE, ST_BUSINESS_CYCLE, STEP_ID,SITE ORDER BY COUNT(1) DESC LIMIT 1) B
					WHERE A.PV_VOLTAGE = B.PV_VOLTAGE
					ORDER BY SEQUENCE_ID ASC LIMIT 1;
					CONTINUE;
				END IF;

			END IF;
		
		END FOR; 
	END IF;	
	TRUNCATE TABLE "GT_RAWDATA";
	res := 0;
	
END;